Download it now!
Bug 88826 - Clean up MM100toEMU()
Summary: Clean up MM100toEMU()
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Juan Picca
URL:
Whiteboard: target:4.5.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2015-01-27 15:11 UTC by Miklos Vajna
Modified: 2015-12-15 23:58 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2015-01-27 15:11:25 UTC
Hi,

If you grep for MM100toEMU(), you get a number of hits in oox and sc. This function was added for the OOXML export as somebody didn't notice that oox::drawingml::convertHmmToEmu() already exists. The later function is inline and is in a global header, so should be available everywhere.

Once all usage is converted, MM100toEMU() should be removed from include/oox/export/utils.hxx.

Thanks,

Miklos
Comment 1 Commit Notification 2015-02-02 11:51:13 UTC
Juan Picca committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c32aa53a7df7af4ef23b8d235483eabb51463183

fdo#88826: replace MM100toEMU() by convertHmmToEmu()

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Robinson Tryon (qubit) 2015-12-15 23:58:33 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp TopicCleanup)
[NinjaEdit]